package com.palmnest.application.dto.output.lingling;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author hxt
 * @Description 令令设备输出实体
 * @Date 2018/12/11 15:45
 **/
public class LingLingDeviceOutDto implements Serializable{
    private static final long serialVersionUID = -3927926590390007767L;

    private Long id;
    private Integer deviceType;//'设备类型'
    private Integer deviceId;//'令令开门设备 ID'
    private String deviceName;//'设备名称'
    private String deviceCode;//'设备SN码'
    private Integer deviceStatus;//'设备状态 0-离线 1-在线'
    private String address;//'设备地址'
    private String remark;//'备注信息'
    private String createTime;//'添加时间'
    private String creator;//'添加人'
    private String modifyTime;//'修改时间'
    private String modify;//'修改人'
    private Integer isEnable;// 0-禁用 1-可用
    private Integer orgId;// 项目id

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(Integer deviceType) {
        this.deviceType = deviceType;
    }

    public Integer getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(Integer deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public Integer getDeviceStatus() {
        return deviceStatus;
    }

    public void setDeviceStatus(Integer deviceStatus) {
        this.deviceStatus = deviceStatus;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getModify() {
        return modify;
    }

    public void setModify(String modify) {
        this.modify = modify;
    }

    public Integer getIsEnable() {
        return isEnable;
    }

    public void setIsEnable(Integer isEnable) {
        this.isEnable = isEnable;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }
}
